PeopleForce
Core

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Get a department

Returns a single department

GET
/api/v4/departments/{id}

Returns a single department

Path Parameters

id*integer
Formatint64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v4/departments/0"
{  "data": {    "id": 0,    "name": "string",    "parent_id": 0,    "manager_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "fields": {      "property1": {        "name": "string",        "value": null      },      "property2": {        "name": "string",        "value": null      }    }  }}